Subject: ANNOUNCE: FreeODBC Driver Pack Project
From: Brian Jepson <[email-masked]>
Date: 28 Feb 1996 03:57:37 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Announcing
				 the
			 FreeODBC Driver Pack
			       project

What is the FreeODBC Driver Pack project?
=========================================

   The FreeODBC Driver Pack project is an effort to create a freely
redistributable ODBC driver development kit.

   The FreeODBC driver pack will be portable to all Unix platforms as
well as Windows, win32(95, NT), OS/2 and Mac. FreeODBC Drivers will
work with any driver manager (such as Microsoft, Visigenic, Intersolv)
on those platforms. The FreeODBC driver pack itself will also include
a free ODBC driver manager, the iODBC driver manager, which has been
finished and can be built on many Unix platforms.

   Development will initially focus on drivers for Oracle, Sybase,
Postgres95, and a single-tier driver for DBF (dBase, FoxPro, Clipper)
files. People interested in developing drivers for other databases,
such as mSQL, are very welcome to join in.

What is the iODBC Driver Manager?
======================================

   The iODBC Driver Manager is a freely redistributable ODBC driver
manager which runs under many flavors of UNIX, written by Ke Jin of
Empress software ([email-masked]). It provides a library that can be
used by other applications to manipulate ODBC data sources. The ODBC
API which is available through iODBC is identical to the one used in
the Microsoft ODBC SDK, so it is trivial to develop ODBC-based
applications which compile on win32 as well as UNIX platforms. It is
available on:

ftp://ftp.demon.co.uk/pub/perl/db/other/iODBC/
ftp://ftp.uu.net/pub/database/perl-interfaces/other/iODBC

What are the high-level goals of this project?
==============================================

   One of the goals is to create a powerful and flexible "stub driver" which
includes all of the pieces a developer might need to develop their own
ODBC driver. This will lower the skill level needed to implement an
ODBC driver, as the developer will only be concerned with adding
platform-specific code to the stub driver. In addition, this project will 
provide freely redistributable ODBC drivers for several popular
database packages.

How can I help?
===============

   Right now, I'm looking to assemble a team of developers and
designers to further refine the high-level goals and ultimately, to
start working. I'd like to find up to six top-notch developers with C
expertise. Once this group has been formed, the group will determine a
time-line, including any incremental deliverables, and start working.

   For more information and to keep informed about progress you can
join the dbi-dev mailing list via http://www.fugue.com/dbi (if you are
unable to use the web you can subscribe by sending a message to
[email-masked], it may take a few days to be processed).

-- 
Brian Jepson ([email-masked])
---===[[[@>>> Perl, FoxPro, SQL Server, HTML
http://www.ids.net/~bjepson/